﻿Public Class Form1

    Private Myequipa As Equipa = New Equipa
    Private MyTreinador As Treinador

    Private Sub escreverEquipa()
        Dim writer As New System.Xml.Serialization.XmlSerializer(GetType(Equipa))

        Dim file As New System.IO.StreamWriter("DadosEquipa.xml")

        writer.Serialize(file, Myequipa)

        file.Close()
    End Sub

    Private Sub escreverTreinador()
        Dim writer As New System.Xml.Serialization.XmlSerializer(GetType(Treinador))

        Dim file As New System.IO.StreamWriter("DadoTreinador.xml")

        writer.Serialize(file, MyTreinador)

        file.Close()
    End Sub

    Private Sub lerEquipa()
        Dim reader As New System.Xml.Serialization.XmlSerializer(GetType(Equipa))

        Dim file As New System.IO.StreamReader("DadosEquipa.xml")

        Myequipa = CType(reader.Deserialize(file), Equipa)

        file.Close()

        lerTreinador()
        mostrar()



    End Sub

    Private Sub lerTreinador()
        Dim reader As New System.Xml.Serialization.XmlSerializer(GetType(Treinador))

        Dim file As New System.IO.StreamReader("DadoTreinador.xml")

        MyTreinador = CType(reader.Deserialize(file), Treinador)

        file.Close()



    End Sub

    Private Sub mostrar()
        CodEquipaTextBox.Text = Myequipa.CodEquipa
        CodTreinadorTextBox.Text = Myequipa.codTreinador
        NomeTextBox.Text = MyTreinador.Nome
        TextBoxDataNascimentoTreinador.Text = MyTreinador.DataNascimento
        SalarioTextBox.Text = MyTreinador.Salario
        IdadeTextBox.Text = MyTreinador.Idade
        mostrarJogadores()
    End Sub
    Private Sub mostrarJogadores()
        ListBox1.Items.Clear()
        For Each temp As Jogador In Myequipa.JogadoresEquipa
            ListBox1.Items.Add(temp.ToPrint)
        Next
    End Sub

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Myequipa = New Equipa(CodEquipaTextBox.Text)

    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click

        MyTreinador = New Treinador(CodTreinadorTextBox.Text, NomeTextBox.Text, TextBoxDataNascimentoTreinador.Text, SalarioTextBox.Text)
        Myequipa.codTreinador = MyTreinador.Codigo
        mostrar()

    End Sub

    Private Sub Button3_Click(sender As System.Object, e As System.EventArgs) Handles Button3.Click
        Dim temp As Jogador
        temp = New Jogador(CodigoTextBox1.Text, NomeTextBox1.Text, DataNascimentoDateTimePicker1.Value.ToString, PosicaoTextBox.Text)
        Myequipa.JogadoresEquipa.Add(temp)
        mostrarJogadores()
    End Sub

    Private Sub Button4_Click(sender As System.Object, e As System.EventArgs) Handles Button4.Click
        escreverEquipa()
        escreverTreinador()

    End Sub

    Private Sub Button5_Click(sender As System.Object, e As System.EventArgs) Handles Button5.Click
        lerEquipa()

    End Sub
End Class
